Data::Perl::Collection::Array(3)

NAME
Data::Perl::Collection::Array - Wrapping class for Perl's built in array structure.

VERSION
version 0.002011

SYNOPSIS
  use Data::Perl qw/array/;

  my $array = array(1, 2, 3);

  $array->push(5);

  $array->grep(sub { $_ > 2 })->map(sub { $_ ** 2 })->elements; # (3, 5);

DESCRIPTION
This class is a simple consumer of the Data::Perl::Role::Collection::Array role, which provides all functionality. You probably want to look there instead.

AUTHOR
Matthew Phillips <mattp@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2020 by Matthew Phillips <mattp@cpan.org>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.